.product {
  @include flex;
  min-height: 100vh;
  background-color: $grey-100;
  padding: 16px;

  .card {
    @include card;
    width: 75%;
    display: flex;
    @media #{map-get($display-breakpoints, 'md-only')} {
      width: 90%;
    }

    @media #{map-get($display-breakpoints, 'sm-and-down')} {
      width: 100%;
      flex-direction: column;
    }
    .image {
      width: 20%;
      position: relative;
      border-radius: 12px 0 0 6px;
      background: linear-gradient(#63f3c9, #30c9e8);
      @media #{map-get($display-breakpoints, 'sm-and-down')} {
        width: 100%;
        border-radius: 12px 12px 0 0;
      }
      .imageFrame{
        top: 50%;
        right: 50%;
        transform: translate(29%, -50%);
        position: absolute;
        @media #{map-get($display-breakpoints, 'sm-and-down')} {
          text-align: center;
          padding: 16px;
          width: 100%;
          transform: none;
          position: static;
        }
      }
      img {
        box-shadow: 8px 24px 28px rgb(61 53 53);
        transform: rotate(25deg);
        height: 230px;
        width: 200px;
        @media #{map-get($display-breakpoints, 'md-and-down')} {
          height: 200px;
          width: 200px;
          transform: none;
        }
      }
    }

    .info {
      width: 80%;
      color: $grey-700;
      padding: 3rem 2rem;
      @media #{map-get($display-breakpoints, 'md-and-down')} {
       width: 100%;
        padding: 2rem 1rem;
      }
      .title {
        @include flex(baseline, space-between);
        @media #{map-get($display-breakpoints, 'md-and-down')} {
          flex-direction: column;
          align-items: center;
          h1{
            font-size: $font-size-2xl;
            margin-bottom:12px ;
            text-align: center;
          }
        }
      }

      .category {
        margin: .5rem 0;
        font-size: $font-size-lg;
        font-weight: bold;
        color: $grey-300;
      }

      .price {
        margin: .5rem 0 3rem;
        display: flex;
        font-size: $font-size-xl;
        font-weight: bold;
        @media #{map-get($display-breakpoints, 'md-and-down')} {
          margin-bottom: 1rem;
        }
        :first-child {
          margin-right: 12px;
          text-decoration: line-through
        }
      }

      .description {
        line-height: 1.8;

        :first-child {
          font-size: $font-size-lg;
          font-weight: bold;
        }
      }

      .actions {
        margin-top: 2rem;
        @include flex(center, space-between);

        .add {
          @include flex;
          font-weight: bold;
          padding: 2px 16px;
          color: #ffffff;
          border-radius: 6px;
          height: 50px;
          background: linear-gradient(#EE8F66, #E83A30);


          span {
            margin-left: 12px ;
          }
        }
      }
    }
  }

}
